List of all members
clan::ConsoleWindow Class Reference
clanCore System

Text console window. More...

`#include <console_window.h>`

## Public Member Functions
Construction
| ConsoleWindow (const std::string &title, int width=80, int height=25)
| Console Window constructor. More...
| ~ConsoleWindow ()
| Console Window destructor. More...
Operations
void | wait_for_key ()
| Waits until user hits a key. More...
void | display_close_message ()
| Displays 'press any key to close this console window',. More...

## Detailed Description

Text console window.

Note: This class has no effect under Linux.

The documentation for this class was generated from the following file:

- console_window.h